Bug 328451 - Support for VorbisComment METADATA_BLOCK_PICTURE tag broken?
Summary: Support for VorbisComment METADATA_BLOCK_PICTURE tag broken?
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Metadata Editing and Reading (show other bugs)
Version: 2.8.0
Platform: unspecified Linux
: NOR normal with 20 votes (vote)
Target Milestone: 2.9
Assignee: Amarok Developers
URL: http://git.reviewboard.kde.org/r/114406/
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-05 13:14 UTC by Martin Brodbeck
Modified: 2013-12-19 05:58 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.9


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Brodbeck 2013-12-05 13:14:41 UTC
I just realized that amarok doesn't show cover art if it is provided the recommended way, that is, using the VorbisComment tag METADATA_BLOCK_PICTURE instead of the (unofficial and deprecated) ALBUMART.

It seems that, after a first look at the source code, this METADATA_BLOCK_PICTURE tag *should* be supported. 

Reproducible: Always

Steps to Reproduce:
1. Open a Ogg Vorbis or Opus file which provides a Cover front Picture with METADATA_BLOCK_PICTURE
Actual Results:  
There's no cover picture shown.

Expected Results:  
There should be a cover picture shown. With FLAC files, which also use this METADATA_BLOCK_PICTURE tag, it works (though they are no ogg files).
Comment 1 Martin Brodbeck 2013-12-11 14:40:43 UTC
I've added review request #114406 which fixes this.
Comment 2 Mark Kretschmann 2013-12-19 05:58:35 UTC
Git commit 19fc23445bdb2da894ad6ca4096236de2e9fcb1f by Mark Kretschmann, on behalf of Martin Brodbeck.
Committed on 19/12/2013 at 05:48.
Pushed by markey into branch 'master'.

Fetch cover picture from METADATA_BLOCK_PICTURE tag.

With this patch, covers from Ogg files (for example Vorbis and Opus)
using the recommended METADATA_BLOCK_PICTURE tag will be displayed.
FIXED-IN: 2.9
REVIEW: 114406

M  +2    -0    ChangeLog
M  +4    -1    shared/tag_helpers/VorbisCommentTagHelper.cpp

http://commits.kde.org/amarok/19fc23445bdb2da894ad6ca4096236de2e9fcb1f